<?php

namespace Supportingcast\Shortcodes;

class FeedList extends Template
{
	public function render()
	{
		$feeds = $this->params['feeds'];
		?>
        <ul class="member-feed__podcast-ul">
			<?php foreach ($feeds as $feed): ?>
                <li class="member-feed__podcast-li">
                    <a href="?podcast=<?= $feed->slug ?>">
                        <img alt="?podcast=<?= $feed->slug ?>" src="<?= $feed->image_url ?>">
                    </a>
                    <div class="member-feed__podcast-copy">
                        <h3>
                            <a href="?podcast=<?= $feed->slug ?>"><?= $feed->name ?></a>
                        </h3>
                        <p>
							<?= $feed->description ?>
                        </p>
                    </div>
                    <div class="member-feed__button-wrapper">
                        <a class="button button__main small" href="?podcast=<?= $feed->slug ?>">
                            Subscribe
                        </a>
                        <p>to member version</p>
                    </div>
                </li>
			<?php endforeach; ?>
        </ul>
		<?php

	}
}